Bug 187587 - gnome does not recognize CompactFlash pcmcia adapter
gnome does not recognize CompactFlash pcmcia adapter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 05:54 EST by Daniel Roche
Modified: 2013-03-05 22:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Roche 2006-04-01 05:54:18 EST
Description of problem:

I use a pcmcia compact flash adapter to import my photos, it was working 
fine with FC4 , when inserted in the pcmcia slot, gnome recognised a new IDE
disk, and mount the disk automatically.

Now with FC5 ( and the same hardware ) nothing happend. 
It does not seems to be a HAL problem because hal recognise it well :
with lshal -m i get the following message when inserting the card  :
pcmcia__1__1 added
pcmcia__1__1_ide_0_0 added
storage_serial_0000000000 added
volume_uuid_492A_0D2A added

i can mount it "by hand" without problem, but gnome
does not recognise it.

Version-Release number of selected component (if applicable):

FC5 daily updated with yum on a dell inspiron 9300
gnome-mount-0.4-5

How reproducible:

everytime.

Steps to Reproduce:
1. insert a CompactFlash pcmcia adapter in the slot
2. 
3.
  
Actual results:

nothing happend

Expected results:

recognition of the device and mount ( like in FC4 !)
 
Additional info:

except the hal messages i cannot see any other message, if i can do some
more test to help you, feel free to ask.
Comment 1 Chris Rosewarne 2006-04-14 04:06:26 EDT
I have a similar problem automounting a PCMCIA device with CF card installed:

On inserting the PCMCIA card I get the following output from 'lshal -m':

pcmcia__1__1 added
pcmcia__1__1_ide_2_0 added
storage_serial_SS3D051C050604000051 added
volume_uuid_DDCF_0342 added

However, running 'hal-device-manager' gives me this output:

Traceback (most recent call last):
  File "/usr/bin/hal-device-manager", line 20, in ?
    DeviceManager()
  File "/usr/share/hal/device-manager/DeviceManager.py", line 87, in __init__
    self.update_device_list()
  File "/usr/share/hal/device-manager/DeviceManager.py", line 187, in
update_device_list
    self.virtual_root = self.build_device_tree()
  File "/usr/share/hal/device-manager/DeviceManager.py", line 258, in
build_device_tree
    properties =
device_dbus_obj.GetAllProperties(dbus_interface="org.freedesktop.Hal.Device")
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
    ret = self._proxy_method (*args, **keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in __call__
    reply_message = self._connection.send_with_reply_and_block(message, timeout)
  File "dbus_bindings.pyx", line 458, in
dbus_bindings.Connection.send_with_reply_and_block
dbus_bindings.DBusException: No device with id
/org/freedesktop/Hal/devices/volume_uuid_DDCF_0342
Comment 2 Bug Zapper 2008-04-03 22:29:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Tore H. Larsen 2008-04-04 03:33:59 EDT
This is still a problem at 2.6.25-0.185.rc7.git6.fc9.x86_64

[root@bgo-s-101 ~]# pccardctl status
Socket 0:
  3.3V 16-bit PC Card
  Subdevice 0 (function 0) bound to driver "pata_pcmcia"

[root@bgo-s-101 ~]# pccardctl ident
Socket 0:
  product info: "Vendor", "TWTTI", "", ""
  manfid: 0x000a, 0x0000
  function: 0x4 (fixed disk), 9

[root@bgo-s-101 ~]# pccardctl info
PRODID_1="Vendor"
PRODID_2="TWTTI"
PRODID_3=""
PRODID_4=""
MANFID=000a,0000
FUNCID=4

[root@bgo-s-101 ~]# pccardctl status
Socket 0:
  3.3V 16-bit PC Card
  Subdevice 0 (function 0) bound to driver "pata_pcmcia"
[root@bgo-s-101 ~]# dmesg | grep pcmcia
pcmcia: parent PCI bridge I/O window: 0x8000 - 0xbfff
pcmcia: parent PCI bridge Memory window: 0xf8100000 - 0xfbffffff
pcmcia: parent PCI bridge Memory window: 0xf4000000 - 0xf7ffffff
pcmcia: registering new device pcmcia0.0
scsi2 : pata_pcmcia

[root@bgo-s-101 ~]# modinfo pata_pcmcia
filename:      
/lib/modules/2.6.25-0.185.rc7.git6.fc9.x86_64/kernel/drivers/ata/pata_pcmcia.ko
version:        0.3.3
license:        GPL
description:    low-level driver for PCMCIA ATA
author:         Alan Cox
srcversion:     E41942182363D55E21C07D4
.
.

[root@bgo-s-101 ~]# pccardctl eject

Then physically insert PCCard

[root@bgo-s-101 ~]# dmesg | tail -20
pcmcia: registering new device pcmcia0.0
scsi3 : pata_pcmcia
ata4: PATA max PIO0 cmd 0x8100 ctl 0x810e irq 16
ata4.00: CFA: FCF8GBU, Ver1.27, max PIO4
ata4.00: 16120944 sectors, multi 0: LBA 
ata4.00: configured for PIO0
ata4.00: configured for PIO0
ata4: EH complete
scsi 3:0:0:0: Direct-Access     ATA      FCF8GBU          Ver1 PQ: 0 ANSI: 5
sd 3:0:0:0: [sdb] 16120944 512-byte hardware sectors (8254 MB)
sd 3:0:0:0: [sdb] Write Protect is off
sd 3:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 3:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
sd 3:0:0:0: [sdb] 16120944 512-byte hardware sectors (8254 MB)
sd 3:0:0:0: [sdb] Write Protect is off
sd 3:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 3:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
 sdb: sdb1
sd 3:0:0:0: [sdb] Attached SCSI removable disk
sd 3:0:0:0: Attached scsi generic sg2 type 0

But not automounting

[root@bgo-s-101 ~]# lshal --show volume_uuid_47EC_D801
udi = '/org/freedesktop/Hal/devices/volume_uuid_47EC_D801'
  block.device = '/dev/sdb1'  (string)
  block.is_volume = true  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 17  (0x11)  (int)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_serial_SATA_FCF8GBU_00000607200000000032'
 (string)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Volume'} (string list)
  info.parent =
'/org/freedesktop/Hal/devices/storage_serial_SATA_FCF8GBU_00000607200000000032'
 (string)
  info.product = '8GB_CF'  (string)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_47EC_D801'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0.0/host3/target3:0:0/3:0:0:0/block/sdb/sdb1'
 (string)
  org.freedesktop.Hal.Device.Volume.method_argnames = {'mount_point fstype
extra_options', 'extra_options', 'extra_options'} (string list)
  org.freedesktop.Hal.Device.Volume.method_execpaths = {'hal-storage-mount',
'hal-storage-unmount', 'hal-storage-eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_names = {'Mount', 'Unmount', 'Eject'}
(string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = {'ssas', 'as', 'as'}
(string list)
  storage.model = ''  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.fstype = 'vfat'  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fsversion = 'FAT32'  (string)
  volume.ignore = false  (bool)
  volume.is_disc = false  (bool)
  volume.is_mounted = false  (bool)
  volume.is_mounted_read_only = false  (bool)
  volume.is_partition = true  (bool)
  volume.label = '8GB_CF'  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.mount.valid_options = {'ro', 'sync', 'dirsync', 'noatime',
'nodiratime', 'noexec', 'quiet', 'remount', 'exec', 'utf8', 'shortname=',
'codepage=', 'iocharset=', 'umask=', 'dmask=', 'fmask=', 'uid=', 'flush'}
(string list)
  volume.mount_point = ''  (string)
  volume.num_blocks = 16113132  (0xf5ddec)  (int)
  volume.partition.flags = {'boot'} (string list)
  volume.partition.label = ''  (string)
  volume.partition.media_size = 8253923328  (0x1ebf8e000)  (uint64)
  volume.partition.number = 1  (0x1)  (int)
  volume.partition.scheme = 'mbr'  (string)
  volume.partition.start = 32256  (0x7e00)  (uint64)
  volume.partition.type = '0x0b'  (string)
  volume.partition.uuid = ''  (string)
  volume.size = 8249923584  (0x1ebbbd800)  (uint64)
  volume.unmount.valid_options = {'lazy'} (string list)
  volume.uuid = '47EC-D801'  (string)

Notice I just formated the card and labeled it 8GB_CF.  It is a 8GB CompactFlash
card in a PCCard adapter.  And to make sure it mount I made it "msdos" labeled
(partition table) and labeled volume.  Now trying gpt.


Comment 4 Tore H. Larsen 2008-04-10 18:11:08 EDT
With the latest updates on Fedora 9 beta the last couple of days, it started
working. It now works for CF and noraml USB sticks. Way to go!

However, It do not work for a "demo USB stick" I have with autoplay option. If I
boot with it inserted it is mounted as CDROM. 

Bus 001 Device 005: ID 0204:6025 Chipsbank Microelectronics Co., Ltd CBM2080
Flash drive controller

usb 1-3: new high speed USB device using ehci_hcd and address 5
ehci_hcd 0000:00:1a.7: port 3 high speed
ehci_hcd 0000:00:1a.7: GetStatus port 3 status 001005 POWER sig=se0 PE CONNECT
usb 1-3: USB quirks for this device: 2
usb 1-3: default language 0x0409
usb 1-3: uevent
usb 1-3: usb_probe_device
usb 1-3: configuration #1 chosen from 1 choice
usb 1-3: adding 1-3:1.0 (config #1, interface 0)
usb 1-3:1.0: uevent
usb-storage 1-3:1.0: usb_probe_interface
usb-storage 1-3:1.0: usb_probe_interface - got id
scsi6 : SCSI emulation for USB Mass Storage devices
drivers/usb/core/inode.c: creating file '005'
usb 1-3: New USB device found, idVendor=0204, idProduct=6025
usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-3: Product: Flash Disk      
usb 1-3: Manufacturer: CBM     
usb 1-3: SerialNumber: 142066644533
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 6:0:0:0: CD-ROM            CBM      Flash Disk       4.00 PQ: 0 ANSI: 2
scsi 6:0:0:1: Direct-Access     CBM      Flash Disk       4.00 PQ: 0 ANSI: 2
sr1: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
sr 6:0:0:0: Attached scsi CD-ROM sr1
sr 6:0:0:0: Attached scsi generic sg3 type 5
sd 6:0:0:1: [sdc] 494975 2048-byte hardware sectors (1014 MB)
sd 6:0:0:1: [sdc] Write Protect is off
sd 6:0:0:1: [sdc] Mode Sense: 00 00 00 00
sd 6:0:0:1: [sdc] Assuming drive cache: write through
sd 6:0:0:1: [sdc] 494975 2048-byte hardware sectors (1014 MB)
sd 6:0:0:1: [sdc] Write Protect is off
sd 6:0:0:1: [sdc] Mode Sense: 00 00 00 00
sd 6:0:0:1: [sdc] Assuming drive cache: write through
 sdc: sdc1
sd 6:0:0:1: [sdc] Attached SCSI removable disk
sd 6:0:0:1: Attached scsi generic sg4 type 0
Buffer I/O error on device sr1, logical block 64
Buffer I/O error on device sr1, logical block 65
Buffer I/O error on device sr1, logical block 66
Buffer I/O error on device sr1, logical block 67
Buffer I/O error on device sr1, logical block 68
Buffer I/O error on device sr1, logical block 69
Buffer I/O error on device sr1, logical block 70
Buffer I/O error on device sr1, logical block 71
Buffer I/O error on device sr1, logical block 64
Buffer I/O error on device sr1, logical block 65
sr 6:0:0:0: [sr1] unaligned transfer
sr 6:0:0:0: [sr1] unaligned transfer
.
.
sr 6:0:0:0: [sr1] unaligned transfer
sr 6:0:0:0: [sr1] unaligned transfer
FAT: logical sector size too small for device (logical sector size = 512)

The "CDROM" part has some pdf's and acroread. A typical demo stick. Tried to
wipe it, but no. Maybe content is burned in?

Disk /dev/sdc: 1013 MB, 1013708800 bytes
32 heads, 61 sectors/track, 253 cylinders
Units = cylinders of 1952 * 2048 = 3997696 bytes
Disk identifier: 0xc44f2741

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1               1         253      987590    e  W95 FAT16 (LBA)

Suggestions ?
Comment 5 Bug Zapper 2008-05-13 22:08:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 18:08:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:53:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.